import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { LyraNewportContractFactory, LyraStkLyra } from '../contracts';
export declare class EthereumLyraNewportStkLyraTokenFetcher extends AppTokenTemplatePositionFetcher<LyraStkLyra> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: LyraNewportContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: LyraNewportContractFactory);
    getContract(address: string): LyraStkLyra;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
}
